Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire

# Enum Class AbstractFbWireBlob.BlobOpenOperation

java.lang.Object
java.lang.Enum<AbstractFbWireBlob.BlobOpenOperation>
org.firebirdsql.gds.ng.wire.AbstractFbWireBlob.BlobOpenOperation

All Implemented Interfaces:
  `Serializable`, `Comparable<AbstractFbWireBlob.BlobOpenOperation>`, `Constable`

Enclosing class:
  AbstractFbWireBlob

protected static enum AbstractFbWireBlob.BlobOpenOperation extends Enum<AbstractFbWireBlob.BlobOpenOperation>
Operation codes to open an input or output blob. For use with `AbstractFbWireBlob.sendOpen(BlobOpenOperation, boolean)`.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`INPUT_BLOB`
`OUTPUT_BLOB`

## Method Summary

Modifier and Type
Method
Description
`final int`
`opCodeWithBpb()`
`final int`
`opCodeWithoutBpb()`
`static AbstractFbWireBlob.BlobOpenOperation`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AbstractFbWireBlob.BlobOpenOperation[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INPUT_BLOB

public static final AbstractFbWireBlob.BlobOpenOperation INPUT_BLOB

### OUTPUT_BLOB

public static final AbstractFbWireBlob.BlobOpenOperation OUTPUT_BLOB

## Method Details

### values

public static AbstractFbWireBlob.BlobOpenOperation[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AbstractFbWireBlob.BlobOpenOperation valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### opCodeWithoutBpb

public final int opCodeWithoutBpb()

### opCodeWithBpb

public final int opCodeWithBpb()